今天是2019年的最后一天了,看了看自己今年写的随笔就一篇,实在有点少得可怜,就想着趁现在有点时间就再写一篇,^_^

centos6 或者centos 7 python 默认都是安装python 2 版本,现要升级到python3,而编译python3时需要带上编译ssl 模块参数,所以们先升级openssl.

SRE实战 互联网时代守护先锋,助力企业售后服务体系运筹帷幄!一键直达领取阿里云限量特价优惠。

我自己的两台测试机是centos6.9 和centos7.3 的。

首先要先安装依赖:

sudo yum install zlib zlib-devel bzip2-devel openssl-devel ncurses-devel libuuid-devel sqlite-devel readline-devel tcl-devel tk-devel lzma gdbm-devel db4-devel libpcap-devel xz-devel libffi-devel

下载并源码编译安装:

wget ftp://ftp.fi.muni.cz/pub/openssl/source/openssl-1.1.1d.tar.gz
tar zxf openssl-1.1.1d.tar.gz
cd openssl-1.1.1d
./config --prefix=/usr/local/openssl shared zlib
make
make install

 openssl 官网也可以下载:https://www.openssl.org/source/openssl-1.1.1d.tar.gz

做软连接到/usr/lib64目录

cp /usr/bin/openssl /usr/bin/openssl.bak
ln -sf /usr/local/openssl/bin/openssl /usr/bin/openssl
ln -s /usr/local/openssl/lib/libssl.so.1.1 /usr/lib64/libssl.so.1.1
ln -s /usr/local/openssl/lib/libcrypto.so.1.1 /usr/lib64/libcrypto.so.1.1

编辑加载so 共享库文件

sudo vim /etc/ld.so.conf.d/openssl_1.1.1.conf
/usr/local/openssl/lib/   #添加这一行

sudo ldconfig -v   #使立即生效

测试查看版本:

/usr/bin/openssl version

centos6/7 下升级openssl并安装python3 Python 第1张

 

 安装python3.7.4

wget https://www.python.org/ftp/python/3.7.4/Python-3.7.4.tgz
tar zxf Python-3.7.4.tgz
cd Python-3.7.4
./configure --prefix=/usr/local/python37 --with-openssl=/usr/local/openssl/
make
make install

创建软连接:

ln -sf /usr/local/python37/bin/python3.7 /usr/bin/python3
ln -sf /usr/local/python37/bin/pip3.7  /usr/bin/pip3

测试:

centos6/7 下升级openssl并安装python3 Python 第2张

 

 

可以成功导入ssl 模块即成功。(*^▽^*)

 

 

 

扫码关注我们
微信号:SRE实战
拒绝背锅 运筹帷幄